* * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    font-family: "Times New Roman", Times, serif;
}

body {
 
    overflow-x: hidden; /* Hide horizontal scrollbar */
    background-color: black;
}

html {
    font-size: 10.5%;
}

.container {
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.8);
}

.menu-icon {
    position: absolute;
    top: 5rem;
    left: 5rem;
    width: 10rem;
    height: 3rem;
    z-index:  200;
    background-color: #ccc;
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
    padding: 0 0.5rem;
    overflow: hidden;
}

.lines {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.line {
    width: 2.5rem;
    height: .2rem;
    background-color: hotpink;
    transition: transform 0.3s cubic-bezier(0.5, 0, 0, 0.5);
}

.navigate .line-1 {
    transform: rotateZ(135deg) translate(0.7rem);
}

.navigate .line-2 {
    transform: rotateZ(225deg) translate(0.7rem);
}

.menu-icon span {
    font-size: 1.8rem;
    text-transform: uppercase;
    color: hotpink; 
    position: absolute;
    right: 0;
}

.menu {
    transition: transform 0.3s 0.1s;
}

.navigate .menu {
    transform: translateY(-110%) ;
    transition: transform 0.3s;
 }

.navigate .close {
    transform: translateY(-120%);
    transition: transform 0.3s 0.1s;
 }

.close {
    top: 100%;
    transition: transform 0.3s;
}

.navigation {
    width: 100%;
    height: 100%;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 100;
    opacity: 0;
    visibility: hidden; 
}

.navigation a {
    font-size: 10rem;
    font-weight: bold;
    text-transform: uppercase;
    text-shadow: 0 0.5rem 1rem rgba(0,0,0,0.5);
    color: hotpink;
    margin: 0.5rem 0;
    background: transparent;
    transition: letter-spacing 0.5s, opacity 0.5s 1s;
    opacity: 0;
    visibility: hidden;
}

.navigation a:hover {
    letter-spacing: 1rem;
}

.navigation a:active{
    color: pink;
}


.navigate .navigation, .navigate .navigation a {
    opacity: 1;
    visibility: visible;
}

.navigate .navigation a:nth-child(1) {
    transition: letter-spacing .5s, opacity .5s 1s;
}

.navigate .navigation a:nth-child(2) {
    transition: letter-spacing .5s, opacity .5s 1.2s;
}

.navigate .navigation a:nth-child(3) {
    transition: letter-spacing .5s, opacity .5s 1.4s;
}

.navigate .navigation a:nth-child(4) {
    transition: letter-spacing .5s, opacity .5s 1.6s;
}

.navigate .navigation a:nth-child(5) {
    transition: letter-spacing .5s, opacity .5s 1.8s;
}

.landing {
    width: 100%;
    height: 100%;
    /*change backgroound*/
    background: linear-gradient(rgba(0,0,.5), rgba(0,0,0,.4)), 
    url(Images/SpriteSheetForPinkArcade.gif) center no-repeat;
    background-size: 100% 100%;
    position: relative;
    overflow: hidden;
    transition: 0.5s;
}

.landing2 {
    width: 100%;
    height: 100%;
    /*change backgroound*/
    background: linear-gradient(rgba(0,0,.5), rgba(0,0,0,.4)), 
    url(Images/CastleImage.png) center no-repeat;
    background-size: 100% 100%;
    position: relative;
    overflow: hidden;
    transition: 0.5s;
}

.landing3 {
    width: 100%;
    height: 100%;
    /*change backgroound*/
    background: black;
    background-size: 100% 100%;
    transition: 0.5s;
}

.navigate .landing, .navigate .landing2, .navigate .landing3{
    filter: blur(1.5rem);
}

.landing-left {
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 100%;
}

.hotpink-color {
    color: hotpink;
    line-height: 200px;
    margin-top: -100px;
    position: absolute;
    text-align: center;
    top: 50%;
    width: 100%;
    font-size: 50px;
}

.main-heading {
    position: absolute;
    top: 25%;
        font-family:"Times New Roman", Times, serif;
    font-size: 5rem;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 3rem;
    z-index: 100;
    transition: all 1s;
}

.navigate .main-heading {
    transform: translateY(-5rem);
    opacity: 0;
    visibility: hidden;
}

.main-heading-left {
    right: -1%;
    color: #fff;
    text-shadow: 0.5rem 1rem rgba(0,0,0,.5);
}

.about {
    position: absolute;
    bottom: 10rem;
    left: 0rem;
    transition: all 1s;
}

.navigate .about {
    transform: translateX(5rem);
    opacity: 0;
    visibility: hidden;
}

.about h1 {
    font-size: 6rem;
    text-transform: uppercase;
    color: #fff;
    text-shadow: 0.5rem 1rem rgba(0,0,0,.5);
}

.about p {
    font-size: 1.6rem;
    color: #d0f4de;
    width: 50rem;
    margin: 1rem 0.3rem 0;
}

.link {
    display: flex;
    align-items: baseline;
    cursor: pointer;
    width: 14rem;
}

.link a {
    font-size: 1.6rem;
    text-transform: uppercase;
    color: #fff;
    margin-right: 1rem;
}


.landing-right {
    position: absolute;
    top: 0;
    right: 0;
    width: 50%;
    height: 100%;
}


.main-heading-right  {
    color: hotpink;
}

.techs {
    position: absolute;
    bottom: 6rem;
    right: 5rem;
    z-index: 100;
    transition: all 1s;
}

.navigate .techs {
    transform: translateX(-5rem);
    opacity: 0;
    visibility: hidden;
}

.techs h1 {
    font-size: 6rem;
    font-weight: bold;
    text-transform: uppercase;
    line-height: 1;
    text-align: right;
    }

h1 a {
    color: black;
}

.landing-right-bg {
   width: 100%; 
   height: 100%;
   position: absolute;
   top: 0;
   right: 0;
   background-color: pink;
   transition: all 1s;
   opacity: 50%;
}


/*HTML section*/
p {
    color: pink;
    font-size: 25px;
    padding: 20px;
}

h5 {
    font-size: 100px;
    padding-top: 100px;
    color: hotpink;
    text-align: center;
}

.bannerimage {
    width: 100%;
}

.projects {
    display: flex;
    justify-content: center;
}

/*for project page*/

.main {
    position: relative;
    padding-top: 30rem;
  }
  
  h3 {
    font-size: 22px;
    word-break: break-all;
  }
  
  .row {
    margin: 8px -16px;
  }
  
  /* Add padding BETWEEN each column */
  .row,
  .row > .column {
    padding: 8px;
  }
  
  /* Create four equal columns that floats next to each other */
  .column {
    float: left;
    width: 25%;
  }
  
  .row:after {
    content: "";
    display: table;
    clear: both;
  }
  
  /* Content */
  .content {
    background-color: rgb(255, 105, 180, 0.7);
    padding: 10px;
  }

  a > img {
    height: 100%;
    width: 100%;
  }

 /*Glowing Button*/
 .move-button {
    width: 100%;
    height: 100vh;
    justify-content: center;
    align-items: center;
    display: flex;
}

 .glow-on-hover {
    width: 220px;
    height: 50px;
    border: none;
    outline: none;
    color: #fff;
    background: #111;
    cursor: pointer;
    position: relative;
    z-index: 99;
    border-radius: 10px;
    
}

h4 {
    font-size: 15px;
    padding: 15px;
    text-align: center;
    
}

.glow-on-hover:before {
    content: '';
    background: linear-gradient(45deg, #ff0000, #ff7300, #fffb00, #48ff00, #00ffd5, #002bff, #7a00ff, #ff00c8, #ff0000);
    position: absolute;
    top: -2px;
    left:-2px;
    background-size: 400%;
    z-index: -1;
    filter: blur(5px);
    width: calc(100% + 4px);
    height: calc(100% + 4px);
    animation: glowing 20s linear infinite;
    opacity: 0;
    transition: opacity .3s ease-in-out;
    border-radius: 10px;
}

.glow-on-hover:active {
    color: #000
}

.glow-on-hover:active:after {
    background: transparent;
}

.glow-on-hover:hover:before {
    opacity: 1;
}

.glow-on-hover:after {
    z-index: -1;
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgb(255, 192, 203, 0.5);
    left: 0;
    top: 0;
    border-radius: 10px;
}

.resumephoto {
    width: 20%;
    padding: 10px;
    float: left;
}

@keyframes glowing {
    0% { background-position: 0 0; }
    50% { background-position: 400% 0; }
    100% { background-position: 0 0; }
}


/*Responsive*/

@media(max-width: 1600px) {
    html {
        font-size: 55%;
    }
}

@media(max-width: 1200px) {
    html {
        font-size: 45%;
  
    }
}

@media(max-width: 900px) {
    html {
        font-size: 28%;
        
    }
    .about p {
        width: 40rem;
    }

    /*Part of gallery grid "column."*/

    .column {
        width: 50%;
      }

    .menu-icon span {
    font-size: 1.8rem;
    text-transform: uppercase;
    color: hotpink; 
    position: absolute;
    right: 0;
}

.navigate .menu {
    transform: translateY(-145%) ;
 }

.navigate .close {
    transform: translateY(-145%);
 }

.close {
    top: 115%;
}

    .techs {
        color: white;
        background: rgb(255, 192, 203, 0.75);
        bottom: 0.5rem;
    }

    .techs h1 {
        font-size: 3rem;
    }


   .landing-right {
        white-space: nowrap;
    }

    .landing-right-bg {
        display: none;
    }
    .main-heading-right  {
        color: hotpink;
}


.main {
    padding-top: 200px;
}

}

@media (max-width: 700px) {
    .landing {
        background-image: url(Images/mobileBackgroundHome.gif);
    }
}

@media(max-width: 700px) {
    .landing-left {
        width: 100%;
    }

    .navigate .main-heading {
        transform: translate(50%);
    }

    .main-heading-left {
        right: 50%;
        transform: translate(50%);
        padding-left: 3rem;
        font-size: 3rem;
        color: hotpink;
    }

    .about {
        bottom: 50%;
        left: 50%;
        transform: translateX(-50%);
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .techs {
        color: white;
        background: rgb(255, 192, 203, 0.75);
        bottom: 20rem;
    }

    .techs h1 {
        font-size: 3rem;
    }

   .landing-right {
        white-space: nowrap;
    }

    .landing-right-bg {
        display: none;
    }
       /*Part of gallery grid "column."*/
       .column {
        width: 100%;
       }

       .main {
        padding-top: 60%;
       }

       a > img{
        height: 100%;
        width: 100%;
      }
        .hotpink-color {
        font-size: 5rem;
        }
}

@media(max-width: 450px) {
    .about {
        bottom: 30%;
    }   
}